@use "variables" as v;
@use 'variables' as *;
@use 'rfs' as *;
@use 'mixins/border-radius' as *;
@use 'mixins/gradients' as *;
@use 'mixins/box-shadow' as *;
@use 'mixins/transition' as *;
@use 'mixins/buttons' as *;
@use 'rfs' as *;


.btn-danger {
  $btn-color: red;
  background-color: $btn-color !important;
  color: #fff !important;
  &:hover {
    background-color: lighten($btn-color, 20%) !important;
  }
  &:focus {
    border: 2px solid #aaa;
  }
}
.btn-success {
  $btn-color: #4caf50;
  background-color: $btn-color !important;
  color: #fff !important;
  &:hover {
    background-color: lighten($btn-color, 10%) !important;
  }
}
button, input[type=submit] {
  //
  $btn-color: #eee;
  // v.$base-color

  // border: 3px solid #DDD;
  // box-shadow: 0 0 5px rgba(81, 203, 238, 0);
  // font-size: 1rem;
  background-color: $btn-color;
  border-radius: 3px;
  border: 2px solid transparent;
  color: #000;
  cursor: pointer;

  // Do not use "block" since buttons can be on the same line
  // display: block;

  font-size: 12pt;
  // font-weight: bold;
  margin-bottom: 0.6em;
  padding: 0em 1em;
  text-transform: uppercase;
  // width: 100%;
  height: 45px;

  &:hover {
    // background-color: lighten($btn-color, 10%);
    background-color: darken($btn-color, 10%);
  }
  &:active {
    box-shadow: 0 3px 5px #00823F;
  }
  &:disabled {
    // box-shadow: 0 3px 5px #00823F;
    // cursor: not-allowed;
    cursor: default;
  }

  &:focus {
    border: 2px solid red;
  }


  &.success {
    background-color: #3c9f40;
    color: #fff;
    &:hover {
      background-color: lighten($btn-color, 10%);
    }
    &:active {
      // box-shadow: 0 3px 0 #00823F;
    }
    &:disabled {
      background-color: darken($btn-color, 20%);
      color: #ccc;
    }
  }

  // outline: border;


}















// stylelint-disable custom-property-empty-line-before

//
// Base styles
//

.btn {
// scss-docs-start btn-css-vars
--#{$prefix}btn-padding-x: #{$btn-padding-x};
--#{$prefix}btn-padding-y: #{$btn-padding-y};
--#{$prefix}btn-font-family: #{$btn-font-family};
//@include rfs($btn-font-size, --#{$prefix}btn-font-size);
--#{$prefix}btn-font-weight: #{$btn-font-weight};
--#{$prefix}btn-line-height: #{$btn-line-height};
--#{$prefix}btn-color: #{$body-color};
--#{$prefix}btn-bg: #ddd;
--#{$prefix}btn-border-width: #{$btn-border-width};
--#{$prefix}btn-border-color: transparent;
--#{$prefix}btn-border-radius: #{$btn-border-radius};
--#{$prefix}btn-box-shadow: #{$btn-box-shadow};
--#{$prefix}btn-disabled-opacity: #{$btn-disabled-opacity};
--#{$prefix}btn-focus-box-shadow: 0 0 0 #{$btn-focus-width} rgba(var(--#{$prefix}btn-focus-shadow-rgb), .5);
// scss-docs-end btn-css-vars

display: inline-block;
padding: var(--#{$prefix}btn-padding-y) var(--#{$prefix}btn-padding-x);
font-family: var(--#{$prefix}btn-font-family);
@include font-size(var(--#{$prefix}btn-font-size));
font-weight: var(--#{$prefix}btn-font-weight);
line-height: var(--#{$prefix}btn-line-height);
color: var(--#{$prefix}btn-color);
text-align: center;
text-decoration: if($link-decoration == none, null, none);
white-space: $btn-white-space;
vertical-align: middle;
cursor: if($enable-button-pointers, pointer, null);
user-select: none;
border: var(--#{$prefix}btn-border-width) solid var(--#{$prefix}btn-border-color);
@include border-radius(var(--#{$prefix}btn-border-radius));
@include gradient-bg(var(--#{$prefix}btn-bg));
@include box-shadow(var(--#{$prefix}btn-box-shadow));
@include transition($btn-transition);

&:hover {
  color: var(--#{$prefix}btn-hover-color);
  text-decoration: if($link-hover-decoration == underline, none, null);
  background-color: var(--#{$prefix}btn-hover-bg);
  border-color: var(--#{$prefix}btn-hover-border-color);
}

.btn-check:focus + &,
&:focus {
  color: var(--#{$prefix}btn-hover-color);
  @include gradient-bg(var(--#{$prefix}btn-hover-bg));
  border-color: var(--#{$prefix}btn-hover-border-color);
  outline: 0;
// Avoid using mixin so we can pass custom focus shadow properly
@if $enable-shadows {
  box-shadow: var(--#{$prefix}btn-box-shadow), var(--#{$prefix}btn-focus-box-shadow);
} @else {
  box-shadow: var(--#{$prefix}btn-focus-box-shadow);
}
}

.btn-check:checked + &,
.btn-check:active + &,
&:active,
&.active,
&.show {
  color: var(--#{$prefix}btn-active-color);
  background-color: var(--#{$prefix}btn-active-bg);
// Remove CSS gradients if they're enabled
    background-image: if($enable-gradients, none, null);
    border-color: var(--#{$prefix}btn-active-border-color);
    @include box-shadow(var(--#{$prefix}btn-active-shadow));

    &:focus {
// Avoid using mixin so we can pass custom focus shadow properly
      @if $enable-shadows {
        box-shadow: var(--#{$prefix}btn-active-shadow), var(--#{$prefix}btn-focus-box-shadow);
      } @else {
        box-shadow: var(--#{$prefix}btn-focus-box-shadow);
      }
    }
  }

  &:disabled,
  &.disabled,
  fieldset:disabled & {
    color: var(--#{$prefix}btn-disabled-color);
    pointer-events: none;
    background-color: var(--#{$prefix}btn-disabled-bg);
    background-image: if($enable-gradients, none, null);
    border-color: var(--#{$prefix}btn-disabled-border-color);
    opacity: var(--#{$prefix}btn-disabled-opacity);
    @include box-shadow(none);
  }
}


//
// Alternate buttons
//

// scss-docs-start btn-variant-loops
// @each $color, $value in $theme-colors {
//   .btn-#{$color} {
//     @include button-variant($value, $value);
//   }
// }

// @each $color, $value in $theme-colors {
//   .btn-outline-#{$color} {
//     @include button-outline-variant($value);
//   }
// }
// scss-docs-end btn-variant-loops


//
// Link buttons
//

// Make a button look and behave like a link
.btn-link {
  --#{$prefix}btn-font-weight: #{$font-weight-normal};
  --#{$prefix}btn-color: #{$btn-link-color};
  --#{$prefix}btn-bg: transparent;
  --#{$prefix}btn-border-color: transparent;
  --#{$prefix}btn-hover-color: #{$btn-link-hover-color};
  --#{$prefix}btn-hover-border-color: transparent;
  --#{$prefix}btn-active-border-color: transparent;
  --#{$prefix}btn-disabled-color: #{$btn-link-disabled-color};
  --#{$prefix}btn-disabled-border-color: transparent;
  --#{$prefix}btn-box-shadow: none;

  text-decoration: $link-decoration;

  &:hover,
  &:focus {
    text-decoration: $link-hover-decoration;
  }

// No need for an active state here
}


//
// Button Sizes
//

.btn-lg {
  @include button-size($btn-padding-y-lg, $btn-padding-x-lg, $btn-font-size-lg, $btn-border-radius-lg);
}

.btn-sm {
  @include button-size($btn-padding-y-sm, $btn-padding-x-sm, $btn-font-size-sm, $btn-border-radius-sm);
}
